import { FocusEventArgs as FocusEventArgs_internal } from "./FocusEventArgs";
export class IgrFocusEventArgs {
    createImplementation() {
        return new FocusEventArgs_internal();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    constructor() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    get target() {
        return this.i.a;
    }
    set target(v) {
        this.i.a = v;
    }
}
